Skip to main content
GET
Gets outbound capacity for a phone number in the current organization.

Authorizations

Authorization
string
header
required

Authorization header using the Bearer scheme. Accepted values are Leadping user JWT access tokens and WorkOS organization API keys beginning with sk_.

Path Parameters

phoneNumberId
string
required

The ID of the phone number whose outbound capacity should be retrieved.

Response

OK

Reports the sending capacity, current load, and availability of a phone number considered for outbound delivery.

smsRampDirection
null | enum<string>

Indicates whether a phone number's channel capacity is increasing, decreasing, or stable.

Available options:
up,
down,
none
voiceRampDirection
null | enum<string>

Indicates whether a phone number's channel capacity is increasing, decreasing, or stable.

Available options:
up,
down,
none
capacityAvailable
boolean

Indicates whether Leadping successfully calculated capacity for this phone number.

phoneNumberId
null | string

Unique identifier of the phone number associated with this Leadping outbound phone number capacity.

phoneNumber
null | string

Phone number associated with this Leadping outbound phone number capacity.

healthStatus
enum<string>

Defines phone-number outbound health states used by pacing.

Available options:
unknown,
new,
healthy,
warmup,
limited,
cooling_down,
suspended,
disabled
healthReason
null | string

Human-readable reason for the current phone-number health state.

smsApproved
boolean

Indicates whether this phone number has an approved 10DLC messaging campaign assignment.

smsRamping
boolean

Indicates whether SMS limits for this phone number are still ramping up.

smsRemainingThisMinute
integer<int32>

SMS remaining in the current rolling minute.

smsUsedThisMinute
integer<int32>

SMS used in the current rolling minute.

smsLimitThisMinute
integer<int32>

SMS limit for one rolling minute.

smsMinutelyResetsAt
null | string<date-time>

The next time SMS capacity becomes available in the rolling minute window.

smsRemainingToday
integer<int32>

SMS remaining today for the applicable messaging or voice capacity window.

smsUsedToday
integer<int32>

SMS used today for the applicable messaging or voice capacity window.

smsLimitToday
integer<int32>

Number of SMS limit today represented by this Leadping outbound phone number capacity.

smsDailyResetsAt
null | string<date-time>

Next midnight Eastern time, when SMS daily capacity resets.

smsRemainingThisHour
integer<int32>

SMS remaining this hour for the applicable messaging or voice capacity window.

smsUsedThisHour
integer<int32>

SMS used this hour for the applicable messaging or voice capacity window.

smsLimitThisHour
integer<int32>

Number of SMS limit this hour represented by this Leadping outbound phone number capacity.

smsHourlyResetsAt
null | string<date-time>

Start of the next Eastern time hour, when SMS hourly capacity resets.

voiceRamping
boolean

Indicates whether call limits for this phone number are still ramping up.

voiceRemainingThisMinute
integer<int32>

Voice remaining in the current rolling minute.

voiceUsedThisMinute
integer<int32>

Voice used in the current rolling minute.

voiceLimitThisMinute
integer<int32>

Voice limit for one rolling minute.

voiceMinutelyResetsAt
null | string<date-time>

The next time voice capacity becomes available in the rolling minute window.

voiceRemainingToday
integer<int32>

Voice remaining today for the applicable messaging or voice capacity window.

voiceUsedToday
integer<int32>

Voice used today for the applicable messaging or voice capacity window.

voiceLimitToday
integer<int32>

Voice limit today associated with this Leadping outbound phone number capacity.

voiceDailyResetsAt
null | string<date-time>

Next midnight Eastern time, when voice daily capacity resets.

voiceRemainingThisHour
integer<int32>

Voice remaining this hour for the applicable messaging or voice capacity window.

voiceUsedThisHour
integer<int32>

Voice used this hour for the applicable messaging or voice capacity window.

voiceLimitThisHour
integer<int32>

Voice limit this hour associated with this Leadping outbound phone number capacity.

voiceHourlyResetsAt
null | string<date-time>

Start of the next Eastern time hour, when voice hourly capacity resets.